*******************************************************************************
********************************************************
************************************************************
******************************************************************************* 

version 14
clear
set 				more off 
 
capture 			log close

	
global 				orig 		"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-orig"
global 				temp		"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-temp"
global 				intermed	"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-intermed"
global 				log			"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\log"
							
capture 			log close
log using 			"$log/define-treatment-group.log",  replace
	

use 				"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\!IAB-ZEW-Arbeitswelt-4-0-Befragung\Daten\Arbeitswelt_final_weight.dta", clear

count

*******************************************************************************************************************
* Stand der Digitalisierung Einteilung von Treatment- and Control-Group

graph 				pie [pw=gewicht1], over(F01) plabel(_all percent) 


*************************************************************************************************************
//-> Erst Hochrechnung einbauen


*Bei Missings in der manuellen Kategorie, auffüllen mit Variable F09b_1
replace F09_1=F09b_1 if F09_1==.


* Produktionsmittel - heute
rename F08_1  p_man_2
rename F08_2  p_ind_2
rename F08_3  p_sel_2

* Produktionsmittel - vor 5 Jahren
rename F09_1  p_man_1
rename F09_2  p_ind_1
rename F09_3  p_sel_1

* Produktionsmittel - in 5 Jahren
rename F10_1  p_man_3
rename F10_2  p_ind_3
rename F10_3  p_sel_3

* Büro- und Kommunikationsmittel - heute
rename F11_1  d_man_2
rename F11_2  d_ind_2
rename F11_3  d_sel_2

* Büro- und Kommunikationsmittel - vor 5 Jahren
rename F12_1  d_man_1
rename F12_2  d_ind_1
rename F12_3  d_sel_1

* Büro- und Kommunikationsmittel - in 5 Jahren
rename F13_1  d_man_3
rename F13_2  d_ind_3
rename F13_3  d_sel_3



*Varable "keine Veränderung" nutzen -> Übertragung der Info "heute" auf "vor 5 Jahren"
*F09_3_Codes_2, F09_2_Codes und F09_3_Codes geben Auskunft über "keine Änderung"
*F09b_1_Codes bezieht sich auf "keine Änderung" bei den aufgefüllten Variablen


replace p_man_1=p_man_2 if p_man_1==. & (F09_1_Codes_2==1 | F09_2_Codes==1 |  F09_3_Codes==1 | F09b_1_Codes==1 | p_man_2==100)
sum p_ind_1,d
replace p_ind_1=p_ind_2 if p_ind_1==. &(F09_1_Codes_2==1 | F09_2_Codes==1 |  F09_3_Codes==1 | F09b_1_Codes==1 | p_man_2==100)
sum p_ind_1,d
sum p_sel_1,d
replace p_sel_1=p_sel_2 if p_sel_1==. &(F09_1_Codes_2==1 | F09_2_Codes==1 |  F09_3_Codes==1 | F09b_1_Codes==1 | p_man_2==100)
sum p_sel_1,d



replace p_man_3=p_man_2 if p_man_3==. & F10_1_Codes==1
replace p_ind_3=p_ind_2 if p_ind_3==. & F10_1_Codes==1
replace p_sel_3=p_sel_2 if p_sel_3==. &  F10_1_Codes==1

replace d_man_1=d_man_2 if  d_man_1==. & (F12_1_Codes==1 | F12_2_Codes==1  | F12_3_Codes==1 | d_man_2==100)
replace d_ind_1=d_ind_2 if d_ind_1==. & (F12_1_Codes==1 | F12_2_Codes==1  | F12_3_Codes==1 | d_man_2==100)
replace d_sel_1=d_sel_2 if d_sel_1==. & (F12_1_Codes==1 | F12_2_Codes==1  | F12_3_Codes==1 | d_man_2==100)


replace d_man_3=d_man_2 if d_man_3==. & F13_1_Codes==1
replace d_ind_3=d_ind_2 if d_ind_3==. & F13_1_Codes==1
replace d_sel_3=d_sel_2 if d_sel_3==. &  F13_1_Codes==1


replace p_sel_1=34 if p_sel_1==33 &  p_man_1==33 &  p_ind_1==33
replace p_sel_2=34 if p_sel_2==33 &  p_man_2==33 &  p_ind_2==33
replace p_sel_3=34 if p_sel_3==33 &  p_man_3==33 &  p_ind_3==33


gen testp1=p_man_1+p_ind_1+p_sel_1
gen testp2=p_man_2+p_ind_2+p_sel_2
gen testp3=p_man_3+p_ind_3+p_sel_3
tab testp1
tab testp2
tab testp3
gen testp4=testp1+testp2+testp3

sum test*

** Produktionsmittel  - auf 100 hochrechnen
gen d_sum_1=d_man_1+d_ind_1+d_sel_1
gen d_sum_1_error=(d_sum_1<85 | d_sum_1>115)
gen d_sum_2=d_man_2+d_ind_2+d_sel_2
gen d_sum_2_error=(d_sum_2<85 | d_sum_2>115)
gen d_sum_3=d_man_3+d_ind_3+d_sel_3
gen d_sum_3_error=(d_sum_3<85 | d_sum_3>115)
gen d_sum_4=d_sum_1+d_sum_2+d_sum_3
foreach k of varlist d_man_1 d_ind_1 d_sel_1 {
    replace `k'=(`k'/d_sum_1)*(100)
}
foreach k of varlist  d_man_2 d_ind_2 d_sel_2 {
    replace `k'=(`k'/d_sum_2)*(100)
}
foreach k of varlist  d_man_3 d_ind_3 d_sel_3{
    replace `k'=(`k'/d_sum_3)*(100)
}
drop d_sum*
gen d_sum_1=d_man_1+d_ind_1+d_sel_1
gen d_sum_2=d_man_2+d_ind_2+d_sel_2
gen d_sum_3=d_man_3+d_ind_3+d_sel_3
gen d_sum_4=d_sum_1+d_sum_2+d_sum_3

*br d_man_1 d_ind_1 d_sel_1 d_man_2 d_ind_2 d_sel_2 d_man_3 d_ind_3 d_sel_3 d_sum_4 id
tab d_sum_4
*/

* Büro- und Kommunikationsmittel - auf 100 hochrechnen

* Büro- und Kommunikationsmittel - auf 100 hochrechnen
gen p_sum_1=p_man_1+p_ind_1+p_sel_1
gen p_sum_1_error=(p_sum_1<85 | p_sum_1>115)
gen p_sum_2=p_man_2+p_ind_2+p_sel_2
gen p_sum_2_error=(p_sum_2<85 | p_sum_2>115)
gen p_sum_3=p_man_3+p_ind_3+p_sel_3
gen p_sum_3_error=(p_sum_3<85 | p_sum_3>115)
gen p_sum_4=p_sum_1+p_sum_2+p_sum_3
foreach k of varlist p_man_1 p_ind_1 p_sel_1 {
    replace `k'=(`k'/p_sum_1)*(100)
}
foreach k of varlist  p_man_2 p_ind_2 p_sel_2 {
    replace `k'=(`k'/p_sum_2)*(100)
}
foreach k of varlist  p_man_3 p_ind_3 p_sel_3{
    replace `k'=(`k'/p_sum_3)*(100)
}
drop p_sum*
gen p_sum_1=p_man_1+p_ind_1+p_sel_1
gen p_sum_2=p_man_2+p_ind_2+p_sel_2
gen p_sum_3=p_man_3+p_ind_3+p_sel_3
gen p_sum_4=p_sum_1+p_sum_2+p_sum_3



gen auto_p_dif=.
replace auto_p_dif=p_sel_2-p_sel_1

gen auto_d_dif=.
replace auto_d_dif=d_sel_2-d_sel_1

/*
replace p_man_1 =0 if p_man_1==.
replace p_man_2 =0 if p_man_2==. 
replace p_man_3 =0 if p_man_3==.

replace p_ind_1 =0 if p_ind_1==.
replace p_ind_2 =0 if p_ind_2==. 
replace p_ind_3 =0 if p_ind_3==.

replace p_sel_1 =0 if p_sel_1==.
replace p_sel_2 =0 if p_sel_2==. 
replace p_sel_3 =0 if p_sel_3==.

replace d_man_1 =0 if d_man_1==.
replace d_man_2 =0 if d_man_2==. 
replace d_man_3 =0 if d_man_3==.

replace d_ind_1 =0 if d_ind_1==.
replace d_ind_2 =0 if d_ind_2==. 
replace d_ind_3 =0 if d_ind_3==.

replace d_sel_1 =0 if d_sel_1==.
replace d_sel_2 =0 if d_sel_2==. 
replace d_sel_3 =0 if d_sel_3==.
*/

sum p_sel_2,d
sum d_sel_2,d

count 
count if p_sel_2>0
count if d_sel_2>0
count if (p_sel_2>0 | d_sel_2>0)

// Vorschlag für Treatmentgroup T0: Betriebe nutzen selbststeuernde Prod- oder Komm-mittel
gen T0 =0
replace T0 =1 if (p_sel_2>0 | d_sel_2>0)
tab T0,m


graph 				pie [pw=gewicht1], over(F01) plabel(_all percent) 
graph 				pie [pw=gewicht1] if T0==0, over(F01) plabel(_all percent) 
graph 				pie [pw=gewicht1] if T0==1, over(F01) plabel(_all percent) 

/*zweifelhafte Info
tab F05 if year==2014,m
tab F05 if year==2014 & T0==0 ,m
tab F05 if year==2014 & T0==1 ,m
sum F05 if year==2014 & T0==0 ,d
sum F05 if year==2014 & T0==1 ,d
*/

// Verteilung der eingesetzten MIttel bei T0==1
sum p_sel_2 if  T0==1,d
sum d_sel_2 if  T0==1,d

// Entwicklung
gen diff_psel= p_sel_2 - p_sel_1
sum diff_psel if T0==1,d

gen diff_dsel= d_sel_2 - d_sel_1
sum diff_dsel if T0==1,d

replace diff_dsel=0 if diff_dsel==.
replace diff_psel=0 if diff_psel==.


// Vorschlag für Treatmentgroup T1: Betriebe haben die letzten 5 Jahre in selbststeuernde Prod- oder Komm-mittel investiert
gen T1=0
replace T1=1 if  (diff_psel>0 | diff_dsel>0)
tab T1,m 
// ->  723 treatment, 1306 control

sum diff_psel [aw=gewicht1] if T1==1 & diff_psel!=.,d
sum diff_dsel [aw=gewicht1] if T1==1 & diff_dsel!=.,d

// bro betnr year p_man_1 p_ind_1 p_sel_1 p_man_2 p_ind_2 p_sel_2 p_man_3 p_ind_3 p_sel_3
// bro T1 d_man_1 d_ind_1 d_sel_1 d_man_2 d_ind_2 d_sel_2 d_man_3 d_ind_3 d_sel_3 p_man_1 p_ind_1 p_sel_1 p_man_2 p_ind_2 p_sel_2 p_man_3 p_ind_3 p_sel_3 diff_psel diff_dsel 
// bro T1 T2 d_man_1 d_ind_1 d_sel_1 d_man_2 d_ind_2 d_sel_2 p_man_1 p_ind_1 p_sel_1 p_man_2 p_ind_2 p_sel_2 diff_psel diff_dsel 

graph 				pie [pw=gewicht1] if T1==0, over(F01) plabel(_all percent) 
graph 				pie [pw=gewicht1] if T1==1, over(F01) plabel(_all percent) 
 
tab F01,m

// Vorschlag für Treatmentgroup T2==2: Betriebe haben die letzten 5 Jahre nennenswert in selbststeuernde Prod- oder Komm-mittel investiert
gen T2 =0
replace T2=1 if (diff_psel>0 | diff_dsel>0)
replace T2=2 if  (diff_psel>=3.63 | diff_dsel>=12.40)
tab T2,m 

// Verteilung der eingesetzten MIttel 
sum p_sel_2 [aw=gewicht1] if  T2==0,d
sum d_sel_2 [aw=gewicht1] if  T2==0,d

sum p_sel_2 [aw=gewicht1] if  T2==1,d
sum d_sel_2 [aw=gewicht1] if  T2==1,d

sum p_sel_2 [aw=gewicht1] if  T2==2,d
sum d_sel_2 [aw=gewicht1] if  T2==2,d

********************************************

// Vorschlag Treatment 3:
tab F01,nol

gen T3=1 
replace  T3=0 if T1==0 & (F01==1 | F01==2 | F01==3) & p_sel_2==0 & d_sel_2==0 // Nichtnutzer + Nichtinvestierer
replace  T3=2 if T1==1 & (F01==4 | F01==5)  // Starknutzer + Investierer
tab T3 [aw=gewicht1],m 

sum diff_psel if T3==0,d
sum diff_dsel if T3==0,d

sum diff_psel if T3==1,d
sum diff_dsel if T3==1,d

sum diff_psel if T3==2,d
sum diff_dsel if T3==2,d

// Verteilung der eingesetzten MIttel 
sum p_sel_2 [aw=gewicht1] if  T3==0,d
sum d_sel_2 [aw=gewicht1] if  T3==0,d

sum p_sel_2 [aw=gewicht1] if  T3==1,d
sum d_sel_2 [aw=gewicht1] if  T3==1,d

sum p_sel_2 [aw=gewicht1] if  T3==2,d
sum d_sel_2 [aw=gewicht1] if  T3==2,d


graph 				pie [aw=gewicht1] if  T3==0, over(F01) plabel(_all percent) 
graph 				pie [pw=gewicht1] if  T3==1, over(F01) plabel(_all percent) 
graph 				pie [pw=gewicht1] if  T3==2, over(F01) plabel(_all percent) 


save				"$temp\Treatment-Sample.dta", replace
use				"$temp\Treatment-Sample.dta", clear

****************************************Figure_1**************************************************************
preserve
		keep  p_man_* p_ind_* p_sel_* d_man_* d_ind_* d_sel_* gewicht1 id
		reshape long p_man_ p_ind_ p_sel_  d_man_ d_ind_ d_sel_, i(id gewicht1) j(time)
		replace time=2011 if time==1
		replace time=2016 if time==2
		replace time=2021 if time==3


		graph bar p_man_ p_ind_ p_sel_ [pweight = gewicht1]  , saving($temp/Entwicklung-Prod.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))  ///
		stack title("PT") legend( order(1 "controlled manually " 2 "controlled indirectly" 3 "controlled autonomously " )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph bar d_man_ d_ind_ d_sel_ [pweight = gewicht1], saving($temp/Entwicklung-Büro.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))   ///
		stack title("OCT") legend( order(1 "not IT-supported" 2 "IT-supported" 3 "IT integrated" )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph combine  $temp/Entwicklung-Prod.gph $temp/Entwicklung-Büro.gph, ysize(5) xsize(10)
		graph export        ../graphs/Entwicklung.wmf, replace
		graph export        ../graphs/Figure_1.eps, replace
		graph export        ../graphs/Figure_1.pdf, replace
		//collapse(mean)   p_man_ p_ind_ p_sel_ d_man_ d_ind_ d_sel_ [pw=gewicht1], by (time)
		//save "$temp/Entwicklung-T3-0.dta", replace
		//export excel using ../results/Entwicklung-T3-0.xls, firstrow(variables)  replace	
restore


****************************************Figure_A1**************************************************************
preserve
		keep if  T3==0
		keep  p_man_* p_ind_* p_sel_* d_man_* d_ind_* d_sel_* gewicht1 id
		reshape long p_man_ p_ind_ p_sel_  d_man_ d_ind_ d_sel_, i(id gewicht1) j(time)
		replace time=2011 if time==1
		replace time=2016 if time==2
		replace time=2021 if time==3


		graph bar p_man_ p_ind_ p_sel_ [pweight = gewicht1]  , saving($temp/Entwicklung-Prod.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))  ///
		stack title("PT") legend( order(1 "controlled manually " 2 "controlled indirectly" 3 "controlled autonomously " )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph bar d_man_ d_ind_ d_sel_ [pweight = gewicht1], saving($temp/Entwicklung-Büro.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))   ///
		stack title("OCT") legend( order(1 "not IT-supported" 2 "IT-supported" 3 "IT integrated" )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph combine  $temp/Entwicklung-Prod.gph $temp/Entwicklung-Büro.gph, ysize(5) xsize(10)
		graph export        ../graphs/Entwicklung-T3-0.wmf, replace
		graph export        ../graphs/Figure_A1.eps, replace
		graph export        ../graphs/Figure_A1.pdf, replace
		//collapse(mean)   p_man_ p_ind_ p_sel_ d_man_ d_ind_ d_sel_ [pw=gewicht1], by (time)
		//save "$temp/Entwicklung-T3-0.dta", replace
		//export excel using ../results/Entwicklung-T3-0.xls, firstrow(variables)  replace	
restore

****************************************Figure_A2**************************************************************
preserve
		keep if T3==1
		keep p_man_* p_ind_* p_sel_* d_man_* d_ind_* d_sel_* id gewicht1
		reshape long p_man_ p_ind_ p_sel_  d_man_ d_ind_ d_sel_, i(id gewicht1) j(time)
		replace time=2011 if time==1
		replace time=2016 if time==2
		replace time=2021 if time==3


		graph bar p_man_ p_ind_ p_sel_ [pweight = gewicht1]  , saving($temp/Entwicklung-Prod.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))  ///
		stack title("PT") legend( order(1 "controlled manually " 2 "controlled indirectly" 3 "controlled autonomously " )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph bar d_man_ d_ind_ d_sel_ [pweight = gewicht1], saving($temp/Entwicklung-Büro.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))   ///
		stack title("OCT") legend( order(1 "not IT-supported" 2 "IT-supported" 3 "IT integrated" )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph combine  $temp/Entwicklung-Prod.gph $temp/Entwicklung-Büro.gph, ysize(5) xsize(10)
		graph export        ../graphs/Entwicklung-T3-1.wmf, replace
		graph export        ../graphs/Figure_A2.eps, replace
		graph export        ../graphs/Figure_A2.pdf, replace
		collapse(mean)   p_man_ p_ind_ p_sel_ d_man_ d_ind_ d_sel_ [pw=gewicht1], by (time)
		save "$temp/Entwicklung-T3-1.dta", replace
		export excel using ../results/Entwicklung-T3-1.xls, firstrow(variables)  replace	
restore


****************************************Figure_A3**************************************************************
preserve
		keep if T3==2
		keep p_man_* p_ind_* p_sel_* d_man_* d_ind_* d_sel_* id gewicht1
		reshape long p_man_ p_ind_ p_sel_  d_man_ d_ind_ d_sel_, i(id gewicht1) j(time)
		replace time=2011 if time==1
		replace time=2016 if time==2
		replace time=2021 if time==3


		graph bar p_man_ p_ind_ p_sel_ [pweight = gewicht1]  , saving($temp/Entwicklung-Prod.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))  ///
		stack title("PT") legend( order(1 "controlled manually " 2 "controlled indirectly" 3 "controlled autonomously " )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph bar d_man_ d_ind_ d_sel_ [pweight = gewicht1], saving($temp/Entwicklung-Büro.gph, replace) over(time , relabel(1 `" "2011" "' 2 `" "2016" "' 3 `" "2021" "'))   ///
		stack title("OCT") legend( order(1 "not IT-supported" 2 "IT-supported" 3 "IT integrated" )  ) blabel(bar, position(center) format(%9.1f) color(white)) ytitle("in percent")
		graph combine  $temp/Entwicklung-Prod.gph $temp/Entwicklung-Büro.gph, ysize(5) xsize(10)
		graph export        ../graphs/Entwicklung-T3-2.wmf, replace
		graph export        ../graphs/Figure_A3.eps, replace
		graph export        ../graphs/Figure_A3.pdf, replace
		collapse(mean)   p_man_ p_ind_ p_sel_ d_man_ d_ind_ d_sel_ [pw=gewicht1], by (time)
		save "$temp/Entwicklung-T3-2.dta", replace
		export excel using ../results/Entwicklung-T3-2.xls, firstrow(variables)  replace	
restore


log close 
exit

