﻿

version 14
clear all
set 				more off 
 

do define-treatment-group
* [in this do-file, we use the “IAB-ZEW Labour Market 4.0” establishment survey to define our treatment groups as decribed in the paper. In order
* to show the trends in the usage of digital technologies across German establishments and the differentials between the establishment types, we 
* produce here Figures 1, A1, A2 and A3]


do merge-data-resub
* [in this do-file, we merge the “IAB-ZEW Labour Market 4.0” establishment survey with employment biographies from social security records 
* (Beschäftigten-Historik, BeH), Version 10.02.01-171117, the years 2010 to 2016]
* data file Arbeitswelt_resub_2010-2016.dta generated
* see variable list of the BeH attached (a data desription of the BeH is available but restricted for internal use (available for guest researchers at the IAB)) 


do prepare-variables-resub
* [here, we do the data selection, we add the tools indices (see section below) and tasks indices (see: Dengler K., B. Matthes, W. Paulus (2014), 
* Occupational Tasks in the German Labour Market – an Alternative Measurement on the Basis of an Expert Database. FDZ-Methodenreport 12/2014, Nuremberg)
* from the BERUFENET  and we prepare the data for the descriptive statistics and the wage regressions]
* data file estimation-sample-2010-2016-resub generated

do explore-descriptives-resub
* [this do-file generates the descriptive statistics (Table 4 and Table A3)]


do explore-wages-resub
* [this do-file generates the wage regression results (Tables 5 - 10 and Appendix Tables A5-A7)]


exit, clear Stata

* tools indices 
* [Tables 2 and 3 and Appendix Tables A1-A3]
* see the description in the paper; the approach is based on Janser, M. (2018), * The Greening of Jobs in Germany: First Evidence 
* from a Text Mining Based Index and Employment Register Data. IAB-Discussion Paper 14/2018. Nuremberg: IAB]
* for more detailed information please contact markus.janser@iab.de
	
global data "\\iab.baintern.de\DFS\017\Ablagen\D01700-Projekte\D01700-JanserM\100_Research\2017_DigiEmp\data"

// Letzter Stand der Dictionaries (Suchwortlisten)
use ${data}/00_dictionary/dictionary_tool.cat1.dta, clear 
use ${data}/00_dictionary/dictionary_tool.cat2.dta, clear

// Tools-Catalog
use ${data}/01_catalog/00_toolcatalog_2017.dta, clear

// Ergebnis des Text Minings (Trefferlisten)
use ${data}/02_matches/cat1/02_matches_2017.cat1_keywd_unique.dta, clear
use ${data}/02_matches/cat2/02_matches_2017.cat2_keywd_unique.dta, clear

// Berufe-Tools Matrix (Treffer codiert):
use ${data}/04_coded/05_toolmx_2017_coded_precollapse.dta, clear

// Digital Tools Index (dtox) KldB2010 8-Steller (Einzelberufe)
use ${data}\08_dtoxkldb8\11_occ_dtox_kldb2010_8.dta, clear

// Digital Tools Index (dtox) aggregiert auf KldB2010 5-Steller (Gleichverteilungsannahme, gewichtet nach Beschäftigtenanzahl)
use ${data}\09_dtoagg\14_emp_dtox_2016_kldb2010_5.dta, clear

// Digital Tools Index (dtox) aggregiert auf Anforderungsniveau (5. Stelle der KldB2010 5-Steller, gewichtet nach Beschäftigtenanzahl)
use ${data}\09_dtoagg\15_emp_dtox_2016_kldb2010_digit5_agg.dta, clear

// Beispiel für Digital Tools Index (dtox) für Berufsaggregate (hier: 2-Steller plus 5. Stelle der KldB2010, gewichtet nach Beschäftigtenanzahl)
use ${data}\09_dtoagg\15_emp_dtox_2016_kldb2010_2plus5_agg.dta, clear



















