*******************************************************************************
********************************************************
************************************************************
******************************************************************************* 

version 14
clear
set 				more off 
 
capture 			log close

	
global 				orig 		"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-orig"
global 				temp		"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-temp"
global 				intermed	"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\data-intermed"
global 				log			"L:\Ablagen\D01700-FG-BAM\!Projekte\Arbeitenviernull\DigiWages\log"
							
capture 			log close
log using 			"$log/prepare-variables-resub.log",  replace
	
use "$intermed\Arbeitswelt_resub_2010-2016.dta", clear

tab year,m




* keep only main spell / drop duplicates
bys vsnr year (tag_entg): keep if _n == _N


* age at 30.6. of current year

drop if alter<16
drop if alter>65

gen ao_krs=int(ao_gem/1000)
gen byte dEast = ao_krs >= 11000
tabulate dEast

* Flag wages

gen byte Icl = tag_entg <= climl
label var Icl "indicator: wage left-censored at sec. contrib. limit"

tabulate dEast Icl, row
tabulate dEast Icr, row

************************************************************************************************+
/// improve education variable

tab IP1,m
tab IP1 ausbild
tab ausbild,m

gen byte educ = .
replace educ = 1 if inlist(IP1, 1,3)
replace educ = 2 if inlist(IP1, 2,4)
replace educ = 3 if inlist(IP1, 5,6)
replace educ = 0 if educ == .
label define educ 0 "0 missing" 1 "1 low" 2 "2 med" 3 "3 high"
label values educ educ
tab educ,m
tab educ year

replace educ = 3 if educ==0 & (ausbild==5|ausbild==6)
replace educ = 1 if educ==0 & (ausbild==1|ausbild==3)
replace educ = 2 if educ==0 & (ausbild==2|ausbild==4)
tab educ year
tab educ,m
tab Icr educ

tab educ if year==2016 &T2==0
tab educ if year==2016 &T2==1
tab educ if year==2016 &T2==2
*******************************************************************************************************
// selection on core employment

tab pers_gr,m
keep if pers_gr==101

tab educ if year==2016 &T2==0
tab educ if year==2016 &T2==1
tab educ if year==2016 &T2==2

tab an_ueberlass,m
// keep if an_ueberlass==0

* employment weights
tab berufstg,m
gen weight = 1 															// full-timers 		
replace weight = 0.5 if berufstg==21|berufstg==8|berufstg==9            // part-timers 
tabulate berufstg weight, row

tab educ [aw=weight] if year==2016 &T2==0
tab educ [aw=weight] if year==2016 &T2==1
tab educ [aw=weight] if year==2016 &T2==2

*core-establishment size
bysort bnr year: egen estsize_c = total(weight)
label variable estsize_c "core establishment size (part-time weights: 0.5)"


save $temp/temp-resub,replace
*impute occupation missings
tab beruf_kldb10,m
tab year if beruf_kldb10<0

sort vsnr beruf_kldb10
bysort vsnr (beruf_kldb10): replace beruf_kldb10 = beruf_kldb10[_n+1] if beruf_kldb10<0 & bnr ==bnr[_n+1] & year==2011
tab year if beruf_kldb10<0
bysort vsnr (beruf_kldb10): replace beruf_kldb10 = beruf_kldb10[_n+1] if beruf_kldb10<0 & bnr ==bnr[_n+1] & year==2010
tab year if beruf_kldb10<0

*qualification levels
gen level=beruf_kldb10-int(beruf_kldb10/10)*10

tab level,m
drop if level<0

tab level year
tab level [aw=weight] if year==2016 &T2==0
tab level [aw=weight] if year==2016 &T2==1
tab level [aw=weight] if year==2016 &T2==2

tab educ [aw=weight] if year==2016 &T2==0
tab educ [aw=weight] if year==2016 &T2==1
tab educ [aw=weight] if year==2016 &T2==2

***********************************************************************************
// gen dummies

tab level, gen (Dlevel_)
tab educ, gen (Deduc_)
tab sex, gen (Dsex_)



tab befristung, gen (Dbefr_)
gen Dausl=staat>0 & staat<.
tab Dausl

///age
gen agecat=.
replace agecat=1 if alter <30
replace agecat=2 if alter >=30 & alter <50
replace agecat=3 if alter >=50
tab agecat, gen (Dage_cat_)


// merge tasks data (berufenet (Dengler et al. 2014))
gen kldb2010_3= int(beruf_kldb10/100)
tab kldb2010_3,m
merge n:1 kldb2010_3 using "$orig/tasks_kldb2010_3_2012.dta"
drop if _merge==2
drop _merge
drop if haupttask==.

// merge tools data (berufenet (Janser 2017))

rename beruf_kldb10 kldb2010_5
/*merge n:1 kldb2010_5 using "\\iab.baintern.de\DFS\017\Ablagen\D01700-Projekte\D01700-JanserM\100_Research\2017_DigiEmp\data\09_dtoagg\14_emp_dtox_2016_kldb2010_5.dta" 
tab kldb2010_5 if _merge==1
tab kldb2010_5 if _merge==2
// 151 berufe mit 12,278 obs missing
*/
cap drop skldb2010_5
gen skldb2010_5 = string(kldb2010_5)

cap drop kldb2010_3
gen kldb2010_3 = substr(skldb2010_5,1,3)

cap drop digit5
gen digit5 = substr(skldb2010_5,5,1)

gen kldb2010_3plus5 = kldb2010_3 + digit5
destring kldb2010_3plus5 kldb2010_3 digit5, replace	

// falls nicht mehr benötigt:
cap drop skldb2010_5
cap drop kldb2010_3
cap drop digit5
cap drop jahr
tab kldb2010_3plus5,m
merge n:1 kldb2010_3plus5 using "\\iab.baintern.de\DFS\017\Ablagen\D01700-Projekte\D01700-JanserM\100_Research\2017_DigiEmp\data\09_dtoagg\15_emp_dtox_2016_kldb2010_3plus5_agg.dta" 
// check: version with all tools
// merge n:1 kldb2010_3plus5 using "\\iab.baintern.de\DFS\017\Ablagen\!Projekte\Arbeitenviernull\Arbeitswelt-4-0-IAB-ZEW-project\data-intermed\dtoxXXL_3plus5.dta" 
drop if _merge==2
drop if _merge==1
drop _merge

sort bnr year
// bro bnr vsnr kldb2010_3plus5 kldb2010_5 year dtox_0_3plus5 dtox_1_3plus5 dtox_2_3plus5 to_3plus5 haupttask gwkomp1 gwkomp2 gwkomp3 gwkomp4 gwkomp5
tab kldb2010_5 if to_3plus5 < 3.0

*Basis=2-Steller KldB2010
gen occ2d= int(kldb2010_5/1000)
tab occ2d,m

*Berufssegment
gen bseg=occ2d
recode bseg (11 12=11) ///
            (21 22 23 24 28 93=12) ///
            (25 26 27=13) ///
            (31 32 33 34=14) ///
            (29 63=21) ///
            (81 82=22) ///
            (83 84 91 94=23) ///
            (61 62=31) ///
            (71=32) ///
            (72 73 92=33) ///
            (41 42 43=41) ///
            (53 1=51) ///
            (51 52=52) ///
            (54=53)

label define bseg ///
11 "Land-, Forst- und Gartenbauberufe" ///
12 "Fertigungsberufe" ///
13 "Fertigungstechnische Berufe" ///
14 "Bau- und Ausbauberufe" ///
21 "Lebensmittel- und Gastgewerbeberufe" ///
22 "Medizinische u. nicht-medizinische Gesundheitsberufe" ///
23 "Soziale und kulturelle Dienstleistungsberufe" ///
31 "Handelsberufe" ///
32 "Berufe in Unternehmensführung und -organisation" ///
33 "Unternehmensbezogene Dienstleistungsberufe" ///
41 "IT- und naturwissenschaftliche Dienstleistungsberufe" ///
51 "Sicherheitsberufe" ///
52 "Verkehrs- und Logistikberufe" ///
53 "Reinigungsberufe"
label values bseg bseg
tab bseg,m
tab bseg, gen(Dbseg_)


rename ao_krs kreis
merge m:1 kreis using $orig/RegType4.dta
tab Rtyp4,m
replace Rtyp4=2 if kreis==3159
drop if kreis==.
drop _merge
tab Rtyp4,gen(DRtyp4_)

gen bula=int(kreis/1000)
tab bula,gen(Dbula)

********************************************************************************
* drop unreliable low wages
sum wd,d
tab weight if wd < climl,m
sum wd if wd < climl,d
drop if wd==0
drop if wd < climl & weight==1
replace wd=climl if wd < climl
sum wd,d
count
**********************************************************************************
*  impute wages

********************************************************************************
* Prepare control variables for imputation
********************************************************************************
rename alter age
drop if age==.
gen ageSq = (age/10)^2 		// express age squared in 100 years to have readable coefficients in regressions
gen old  = age > 40			// dummy of "older" people
gen ageXOld = age * old 	// different age profiles for young and old workers
gen ageSqXOld = ageSq * old


gen lnes = ln(estsize_c)
gen lnessq = lnes^2

tab sektor,gen (Dsektor_)


* control variables for imputation:
global controls Dausl Deduc_1-Deduc_3 old age ageSq ageXOld ageSqXOld lnes lnessq ///
				Dbseg_2-Dbseg_14 DRtyp4_2-DRtyp4_4 Dbula2-Dbula16 Dsektor_2-Dsektor_5 weight

gen lnwd = ln(wd)

// dependent variable
gen y1 = lnwd
gen y2 = lnwd
replace y2 = . if Icr 
gen lclimr = ln(climr)

sum year
global ymin = r(min)
global ymax = r(max)

capture drop ID
gen ID = _n // add line number to speed up re-merging below

save $temp/estimation-sample-resub,replace


// keep only the required variables to speed up the preserve--restore
keep year vsnr sex lnwd ID y1 y2 $controls lclimr Icr
// imputation loop
forvalues y = 2010/2016 {
      forvalues s = 1/2 {		// loop over sex
		  preserve
		  keep if year == `y' & sex == `s'
		  count
		  gen lnwdi = lnwd if Icr==0
		  intreg y1 y2 $controls, difficult iter(100)
		  global se = e(sigma)
		  predict pred if e(sample), xb
		  gen a = (lclimr - pred) / $se if e(sample)
		  replace lnwdi = pred + ///
				  $se * invnorm(normal(a) + uniform()*(1-normal(a))) ///
				if Icr==1 & e(sample)
		  keep ID vsnr year lnwdi
		  save ../data-temp/imput-year`y'-sex`s'-resub, replace
		  restore
	}
}
clear
forvalues y = 2010/2016 {
	forvalues s = 1/2 {	
	append using ../data-temp/imput-year`y'-sex`s'-resub
  }
}
save ../data-temp/imputed-wages-resub, replace
// merge the data with the imputed wages

use ../data-temp/estimation-sample-resub, clear
merge 1:1 vsnr year using ../data-temp/imputed-wages-resub, update
// erase ../data-temp/imputed-wages.dta
drop _merge



// compute descriptive measures of the original and 
// imputed wages for checking
preserve
  collapse (mean) lnwdi lnwd (p80) p80lnwdi=lnwdi p80lnwd=lnwd (p95) p95lnwdi=lnwdi p95lnwd=lnwd ///
           , fast by(year)
  // reshape wide lnwr lnwr_orig p80 p50, i(year) 
  save ../data-temp/wages-imputed-resub, replace
restore


* summary statistics
sum lnwd*
sum lnwd* if Icr == 1
sum lnwd* if year == 2016
sum lnwd* if Icr== 1 & year == 2016

********************************************************************************
* deflate wages (to 2010 wages, see: https://www.destatis.de/DE/Publikationen/Thematisch/Preise/Verbraucherpreise/VerbraucherpreisindexLangeReihen.html)
gen cpi=.
replace cpi=100 if year==2010
replace cpi=102.1 if year==2011
replace cpi=104.1 if year==2012
replace cpi=105.7 if year==2013
replace cpi=106.6 if year==2014
replace cpi=106.9 if year==2015
replace cpi=107.4 if year==2016


********************************************************************************
* Deflate wages (base year 2010)
********************************************************************************

gen wdr = 100*wd/cpi   
gen wdi = exp(lnwdi)   
gen wdir = 100*wdi/cpi

gen lnwdr = ln(wdr)
gen lnwdir = ln(wdir)

sum wd* lnwd*
drop cpi

label variable wdr "Daily wage, deflated (2010)"
label variable wdi "Daily wage, imputed"
label variable wdir "Daily wage, imputed, deflated (2010)"
label variable lnwdr "log Daily wage, deflated (2010)"
label variable lnwdir "log Daily wage, imputed, deflated (2010)"


// compute descriptive measures of the original and 
// imputed wages for checking
preserve
  collapse (mean) lnwdi lnwdir (p80) p80lnwdi=lnwdi p80lnwdir=lnwdir (p95) p95lnwdi=lnwdi p95lnwdir=lnwdir ///
           , fast by(year)
  // reshape wide lnwr lnwr_orig p80 p50, i(year) 
  save ../data-temp/lnwages-imputed-resub, replace
restore


save $intermed/estimation-sample-2010-2016-resub,replace
*****************************************************************************************************************************************

// prepare control variables on the estabishment level for merge

use $intermed/estimation-sample-2010-2016-resub,clear
count


sort bnr year
capture drop bm
by bnr year: gen bm = _n ==1
tab bm year

keep if year==2011|year==2016
tab bm year

global celldim bnr year
sort $celldim 

preserve
	collapse (mean) estsize_c Dlevel_* Deduc_* Dsex_* age Dbseg_* Dbefr_* Dausl gwkomp*  ///
					dtox_0_3plus5 dtox_1_3plus5 dtox_2_3plus5 lnwdir [pw=weight], fast by($celldim)
	save ../data-temp/Sample-means-2011-2016-formerge-resub, replace
	export excel using ../data-temp/Sample-means-2011-2016-formerge-resub.xls, firstrow(variables) replace
restore

use $temp/Sample-means-2011-2016-formerge-resub, clear

foreach v in estsize_c Dlevel_* Deduc_* Dsex_* age Dbseg_* Dbefr_* Dausl gwkomp*  ///
					dtox_0_3plus5 dtox_1_3plus5 dtox_2_3plus5  {
  rename `v' esh`v'
 }

keep bnr year esh*

save $temp/Sample-means-2011-2016-establishment-controls-resub, replace

exit





